<?php 
if ( !defined('PHPWG_ROOT_PATH') )
  define('PHPWG_ROOT_PATH','../../');

include_once( PHPWG_ROOT_PATH.'include/common.inc.php' );
include_once( dirname(__FILE__) .'/include/functions.php');


if (!isset($rvm_dir))
  access_denied( 'Plugin not installed' );

rvm_load_language();

$section = '';
if ( $conf['question_mark_in_urls']==false and
     isset($_SERVER["PATH_INFO"]) and !empty($_SERVER["PATH_INFO"]) )
{
  $section = $_SERVER["PATH_INFO"];
  $section = str_replace('//', '/', $section);
  $path_count = count( explode('/', $section) );
  $page['root_path'] = PHPWG_ROOT_PATH.str_repeat('../', $path_count-1);
}
else
{
  foreach (array_keys($_GET) as $key)
  {
    $section = $key;
    break;
  }
}

$template->set_filename( 'map', dirname(__FILE__).'/template/map.tpl');

$template->assign_vars(
  array(
    'CONTENT_ENCODING' => $lang_info['charset'],
    'GMAPS_API_KEY' => $conf['gmaps_api_key'],
    'PLUGIN_ROOT_URL' => get_absolute_root_url().'plugins/'.$rvm_dir,
    'U_MAP_DATA' => get_absolute_root_url().'plugins/'.$rvm_dir.'/map_data.php?'.$section,
    'GALLERY_TITLE' => $conf['gallery_title'],
    'U_HOME' => make_index_url(),
    'U_HOME_MAP' => rvm_make_map_index_url(),
  )
  );
$template->pparse('map');
?>
